<?php

declare(strict_types=1);

namespace Plugin\tnt_stabila_shop\src\Enums;

use Plugin\tnt_stabila_shop\src\Helper\EnumUtility;

enum PageType: int
{
    use EnumUtility;

    case PAGE_UNBEKANNT         = 0;
    case PAGE_ARTIKEL           = 1;
    case PAGE_ARTIKELLISTE      = 2;
    case PAGE_WARENKORB         = 3;
    case PAGE_MEINKONTO         = 4;
    case PAGE_KONTAKT           = 5;
    case PAGE_UMFRAGE           = 6;
    case PAGE_NEWS              = 7;
    case PAGE_NEWSLETTER        = 8;
    case PAGE_LOGIN             = 9;
    case PAGE_REGISTRIERUNG     = 10;
    case PAGE_BESTELLVORGANG    = 11;
    case PAGE_BEWERTUNG         = 12;
    case PAGE_DRUCKANSICHT      = 13;
    case PAGE_PASSWORTVERGESSEN = 14;
    case PAGE_WARTUNG           = 15;
    case PAGE_WUNSCHLISTE       = 16;
    case PAGE_VERGLEICHSLISTE   = 17;
    case PAGE_STARTSEITE        = 18;
    case PAGE_VERSAND           = 19;
    case PAGE_AGB               = 20;
    case PAGE_DATENSCHUTZ       = 21;
    case PAGE_TAGGING           = 22;
    case PAGE_LIVESUCHE         = 23;
    case PAGE_HERSTELLER        = 24;
    case PAGE_SITEMAP           = 25;
    case PAGE_GRATISGESCHENK    = 26;
    case PAGE_WRB               = 27;
    case PAGE_PLUGIN            = 28;
    case PAGE_NEWSLETTERARCHIV  = 29;
    case PAGE_NEWSARCHIV        = 30;
    case PAGE_EIGENE            = 31;
    case PAGE_AUSWAHLASSISTENT  = 32;
    case PAGE_BESTELLABSCHLUSS  = 33;
    case PAGE_404               = 36;
    case PAGE_IO                = 37;
    case PAGE_BESTELLSTATUS     = 38;
    case PAGE_MEDIA             = 39;
    case PAGE_NEWSMONAT         = 40;
    case PAGE_NEWSDETAIL        = 41;
    case PAGE_NEWSKATEGORIE     = 42;
}
